Downsample an index
- POST /{index}/_downsample/{target_index}
Aggregate a time series (TSDS) index and store pre-computed statistical summaries (min, max, sum, value_count and avg) for each metric field grouped by a configured time interval.
For example, a TSDS index that contains metrics sampled every 10 seconds can be downsampled to an hourly index.
All documents within an hour interval are summarized and stored as a single document in the downsample index.
NOTE: Only indices in a time series data stream are supported.
Neither field nor document level security can be defined on the source index.
The source index must be read only (index.blocks.write: true).
Path Parameters
-
indexstring IndexNamerequired -
Name of the time series index to downsample.
-
target_indexstring IndexNamerequired -
Name of the index to create.
Request
-
fixed_intervalstringrequired -
The interval at which to aggregate the original time series index.
Response
Response Type: object